// FILENAME:	DM_Dunes.cs
// AUTHORS:		[OF]Pincushion
// DATE:        09 December 2001
// NOTES:       Uses the stock terrain from DM_Sacrifice_To_Bast
//              Object layout by ObjLib.
//------------------------------------------------------------------------------

$missionName = "DM_Dunes";

exec("multiplayerStdLib.cs");
exec("DMstdLib.cs");

function setDefaultMissionOptions() {
	$server::TeamPlay = false;
	$server::AllowDeathmatch = true;
	$server::AllowTeamPlay = true;	
	
	$server::AllowTeamRed = true;
	$server::AllowTeamBlue = true;
	$server::AllowTeamYellow = true;
	$server::AllowTeamPurple = true;
}

function onMissionStart() {
	$server::HudMapViewOffsetX = getPosition("MissionGroup/Origin",x);
	$server::HudMapViewOffsetY = getPosition("MissionGroup/Origin",y);
	desertSounds();

	// uncomment the following lines to remove the center Zen pads
	//deleteObject("MissionGroup/CityCenter/ZenTrigger1");
	//deleteObject("MissionGroup/CityCenter/ZenTrigger2");
}

function onMissionLoad(){
	cdAudioCycle("Mechsoul", "Newtech", "Yougot"); 
}
