// FILENAME:	DM_Siddhartha.cs
// AUTHORS:  	[OF] Pincushion (pgarpincushion@geocities.com)
//              http://www.geocities.com/SoHo/Nook/9351/maps/index.html
// DATE:        25 November 2001
// NOTES:       Uses the stock terrain from Starsiege_Football.
//              Object layout by ObjLib.
//------------------------------------------------------------------------------

$missionName = "DM_Siddhartha";

exec("multiplayerStdLib.cs");
exec("DMstdLib.cs");

function setDefaultMissionOptions() {
	$server::TeamPlay = false;
	$server::AllowDeathmatch = true;
	$server::AllowTeamPlay = true;	
}

function onMissionStart() {
	buddhaSounds();
	$buddha_sleeps = 0;
	$buddha_attacker = 0;

	$server::HudMapViewOffsetX = getPosition("MissionGroup/Origin",x);
	$server::HudMapViewOffsetY = getPosition("MissionGroup/Origin",y);
}

function onMissionLoad() {
	cdAudioCycle("CloudBurst", "Yougot", "Terror"); 
}

// special stuff

function buddhaSounds() {
	%weather1 = getObjectId("MissionGroup/World/terrainPal");
	createAmbientSoundSource(%weather1,0,60,180);
	addToAmbientSoundSource(%weather1,"sfx_avalanche.wav",IDPRF_2D);
}

function Buddha::structure::onScan(%ed,%er) { 
	%pid = playerManager::vehicleIdToPlayerNum(%er);
	if (%pid == 0) return;
	if ($buddha_sleeps) {
		say(%pid,0,"<F5>Shhhh, Buddha sleeps now.");
		return;
	}
	$buddha_sleeps = 1;
	schedule("$buddha_sleeps=0;",60);
	say(%pid,0,"<F5>Buddha smiles upon you.");
	healObject(%er,1500);
	reloadObject(%er,5);
}

function Buddha::structure::onAttacked(%ed,%er) { 
	if ($buddha_attacker == %er) return; // prevent multiple responses
	$buddha_attacker = %er;
	schedule("$buddha_attacker=0;",15);
	%wav = "sfx_thunder1.wav";
	say(0,0,"<F5>Insolence! Buddha smites "@getHUDName(%er)@".",%wav);
	healObject(%er,-50000);
}
